function cdfVals = clayton_cdf(param,U)
% Clayton copula evalution
%
  % Inputs:
  %   param      copula parameter
  %   U          nx2 matrix containing points that 
  %              shall be evaluated
%
  % Outputs:
  %   cdfVals    nx1 vector containing associated 
  %              cdf values

% error checking
  if(params < 1)
    error('Clayton parameter must be larger than 1);
end

if(any(any(U<0)) || any(any(U>1)))
error('Copulas do only live on unit square')
end

  theta = param; 
u1 = U(:,1);
u2 = U(:,2);

cdfVals = (u1.^-theta + u2.^-theta-1).^(-1/theta);

end
