function norm_qqPl(rets,params)
% generates qq-plot with normal distribution

% sort returns
rets = sort(rets);

% get associated empirical quantiles
empQu = (1:numel(rets))'/(numel(rets)+1);

% get absolute value for respective normal quantiles
normVals = norminv(empQu,params(1),params(2));

% create plot
figure;
plot(rets,normVals,'.')
hold on;

% include diagonal
maxVal = max(max([empQu normVals]));
minVal = min(min([empQu normVals]));

plot(1.1*[minVal maxVal],1.1*[minVal maxVal],'r')
axis equal