function vals = normalPdf(x,params)
% calculates normal pdf distribution at params
%
% Input:
%   x       nx1 vector containing values for evaluation
%   params  1x2 or 2x1 vector containing parameter values
%
% Output:
%   vals    nx1 vector containing pdf values
%
% Jun.2012

% get parameters
mu = params(1);
sigma = params(2);

% get prefactor
fact = 1/(sqrt(2*pi)*sigma);

% second term
repChar = exp(-0.5*((x-mu)/sigma).^2); % replacable

% get overall values
vals = repChar * fact;

end