function [paramsHat time] = pseudo_tCop_fit(rets1,rets2)
% fit t-copula with t-margins per pseudo mle

tic 

% get first margin
nuHat1 = tFit(rets1);
nuHat2 = tFit(rets2);

% transform returns to quantile domain
U1 = tcdf(rets1,nuHat1);
U2 = tcdf(rets2,nuHat2);

% individually fit copula
[rhoHat nuHat] = copulafit('t',[U1 U2]);
rhoHat = rhoHat(2);


paramsHat = [nuHat1 nuHat2 rhoHat nuHat];

time = toc;

end
