function nuHat = tFit(rets)
% fit Student's t-distribution to data


objFun = @(x)neg_t_llh(rets,x);
nuHat = fmincon(objFun,3,[],[],[],[],1,inf);

end


function nLLH = neg_t_llh(rets,nu)
% calculates negative log-likelihood for t-distribution with
% given parameters

nLLH = -sum(log(tpdf(rets,nu)));
end